## ros-indigo-rocon-rtsp-camera-relay 0.0.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rocon_rtsp_camera_relay)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  cv_bridge
  image_transport
  std_msgs
  sensor_msgs
)

find_package(OpenCV)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES rocon_rtsp_camera_relay
  CATKIN_DEPENDS roscpp cv_bridge image_transport sensor_msgs std_msgs
  DEPENDS OpenCV
)

catkin_add_env_hooks(25.rocon-rtsp-camera-relay SHELLS sh DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)


include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${OpenCV_INCLUDE_DIRS}
)

add_library(rocon_rtsp_camera_relay
  src/rocon_rtsp_camera_relay.cpp
)

target_link_libraries(rocon_rtsp_camera_relay
  ${catkin_LIBRARIES}
  ${OpenCV_LIBRARIES}
)
add_dependencies(rocon_rtsp_camera_relay rocon_rtsp_camera_relay_generate_messages ${catkin_EXPORTED_TARGETS})

add_executable(rocon_rtsp_camera_relay_node src/main.cpp)
target_link_libraries(rocon_rtsp_camera_relay_node rocon_rtsp_camera_relay)
add_dependencies(rocon_rtsp_camera_relay_node rocon_rtsp_camera_relay)

#############
## Install ##
#############

install(TARGETS rocon_rtsp_camera_relay rocon_rtsp_camera_relay_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(DIRECTORY rapps
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-rocon-rtsp-camera-relay (0.0.7-0trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Mon, 27 Jul 2015 15:00:00 -0000

ros-indigo-rocon-rtsp-camera-relay (0.0.6-0trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Wed, 22 Jul 2015 15:00:00 -0000

ros-indigo-rocon-rtsp-camera-relay (0.0.5-0trusty) trusty; urgency=high

  * remaining fixes #51 <https://github.com/robotics-in-concert/rocon_devices/issues/51>
  * use env for url
  * add image stream rapp
  * Contributors: Jihoon Lee

 -- Dongwook Lee <dwlee@yujinrobot.com>  Wed, 08 Jul 2015 15:00:00 -0000

ros-indigo-rocon-rtsp-camera-relay (0.0.4-0trusty) trusty; urgency=high

  * Merge branch 'indigo' into rename_rapp_launcher
  * rename rapp launcher closes #40 <https://github.com/robotics-in-concert/rocon_devices/issues/40>
  * Contributors: Jihoon Lee

 -- Dongwook Lee <dwlee@yujinrobot.com>  Sun, 14 Jun 2015 15:00:00 -0000

ros-indigo-rocon-rtsp-camera-relay (0.0.3-0trusty) trusty; urgency=high

  * delete author in rapp files to close #39 <https://github.com/robotics-in-concert/rocon_devices/issues/39>
  * Contributors: dwlee

 -- Dongwook Lee <dwlee@yujinrobot.com>  Thu, 04 Jun 2015 15:00:00 -0000

ros-indigo-rocon-rtsp-camera-relay (0.0.2-0trusty) trusty; urgency=high

  * Merge pull request #38 <https://github.com/robotics-in-concert/rocon_devices/issues/38> from robotics-in-concert/video_url
    remove user pw field and use only video stream url param to access ca…
  * remove user pw field and use only video stream url param to access camera
  * Contributors: Jihoon Lee, dwlee

 -- Dongwook Lee <dwlee@yujinrobot.com>  Thu, 04 Jun 2015 15:00:00 -0000

ros-indigo-rocon-rtsp-camera-relay (0.0.1-0trusty) trusty; urgency=high

  * convert stdstring to std_msgs string closes #37 <https://github.com/robotics-in-concert/rocon_devices/issues/37>
  * release preparation
  * rtsp camera relay package ready
  * rename rtsp_camera_driver to rocon_rtsp_camera_relay closes #33 <https://github.com/robotics-in-concert/rocon_devices/issues/33>
  * Contributors: Jihoon Lee, dwlee

 -- Dongwook Lee <dwlee@yujinrobot.com>  Mon, 01 Jun 2015 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-rocon-rtsp-camera-relay
Section: misc
Priority: extra
Maintainer: Dongwook Lee <dwlee@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-cv-bridge, ros-indigo-image-transport, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-rocon-rtsp-camera-relay
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-cv-bridge, ros-indigo-image-transport, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Description: RTSP camera relay node converts rtsp camera stream from ip camera to ros image message

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rocon-rtsp-camera-relay//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
